Home | All Classes | Grouped Classes | Index | Search

# CL_String::load

Loads a string from a resource.

    	std::string load(
    		const std::string& res_id, CL_ResourceManager* resources);

    	std::string load(
    		const std::string& res_id, CL_ResourceManager* resources, const std::string& def_value);

Parameters:

res_id
  Resource to load string from.
resources
  Resource manager used to load string.
def_value
  Default value if resource is not found.

See also:

CL_String | CL_ResourceManager | CL_Resource

Questions or comments, write to the ClanLib mailing list.